Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class AsyncServiceResponse

    java.lang.Object
      com.bea.wlai.client.AsyncServiceResponse

All Implemented Interfaces:
  Serializable

public class AsyncServiceResponse
extends Object
implements Serializable

Represents a response for an asynchronous service request. This object contains information such as the request's ID, and the response document generated when this request was processed. Any error that occurs while processing an asyn request is stored in an AsyncServiceResponse object, and may be checked for using hasError(). The actual error message text can be retrieved using getErrorMessage().

See Also:
  `AsyncServiceResponseListener`, Serialized Form

Constructor Summary
`AsyncServiceResponse(QualifiedName appViewName, String serviceName, String requestID, IDocument response)`
`AsyncServiceResponse(QualifiedName appViewName, String serviceName, String requestID, IDocument response, Serializable userObject)`
`AsyncServiceResponse(QualifiedName appViewName, String serviceName, String requestID, String errorMsg)`
`AsyncServiceResponse(QualifiedName appViewName, String serviceName, String requestID, String errorMsg, Serializable userObject)`

Method Summary
`QualifiedName` | `getApplicationViewName()` Get the name of the ApplicationView that hosts the service that was invoked.
`String` | `getErrorMessage()` Get the error message text associated with the error that occurred while processing the request (if any).
`String` | `getRequestID()` Get the ID for the request to which this response belongs.
`IDocument` | `getResponseDocument()` Get the response document associated with the request.
`String` | `getServiceName()` Get the service name that was invoked.
`Serializable` | `getUserObject()` Get the user specified Serializable instance (if any) specified at the time of the request corresponding to this response.
`boolean` | `hasError()` Determine if any error occurred while processing the request.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                String serviceName,
                                String requestID,
                                String errorMsg)

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                String serviceName,
                                String requestID,
                                String errorMsg,
                                Serializable userObject)

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                String serviceName,
                                String requestID,
                                IDocument response)

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                String serviceName,
                                String requestID,
                                IDocument response,
                                Serializable userObject)

Method Detail

### getApplicationViewName

    public QualifiedName getApplicationViewName()

  Get the name of the ApplicationView that hosts the service that was invoked.

### getServiceName

    public String getServiceName()

  Get the service name that was invoked.

### getRequestID

    public String getRequestID()

  Get the ID for the request to which this response belongs.

### getResponseDocument

    public IDocument getResponseDocument()

  Get the response document associated with the request.

### hasError

    public boolean hasError()

  Determine if any error occurred while processing the request. If this method returns true, the client should call getErrorMessage() to retrieve the error message text.

### getErrorMessage

    public String getErrorMessage()

  Get the error message text associated with the error that occurred while processing the request (if any). If no error occurred, this method returns null.

### getUserObject

    public Serializable getUserObject()

  Get the user specified Serializable instance (if any) specified at the time of the request corresponding to this response.

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD